# TdApi.Thumbnail (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: Thumbnail

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Thumbnail

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Thumbnail

Enclosing class:
  TdApi

public static final class TdApi.Thumbnail extends TdApi.Object
Represents a thumbnail.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.File`
`file`
The thumbnail.
`TdApi.ThumbnailFormat`
`format`
Thumbnail format.
`int`
`height`
Thumbnail height.
`int`
`width`
Thumbnail width.

## Constructor Summary

Constructors
Constructor
Description
`Thumbnail()`
Represents a thumbnail.
`Thumbnail(TdApi.ThumbnailFormat format, int width, int height, TdApi.File file)`
Represents a thumbnail.
`Thumbnail(DataInput input)`
Represents a thumbnail.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### format

public TdApi.ThumbnailFormat format
Thumbnail format.

### width

public int width
Thumbnail width.

### height

public int height
Thumbnail height.

### file

public TdApi.File file
The thumbnail.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### Thumbnail

public Thumbnail()
Represents a thumbnail.

### Thumbnail

public Thumbnail(TdApi.ThumbnailFormat format, int width, int height, TdApi.File file)
Represents a thumbnail.

Parameters:
  `format` - ThumbnailFormat Thumbnail format.
  `width` - int Thumbnail width.
  `height` - int Thumbnail height.
  `file` - File The thumbnail.

### Thumbnail

public Thumbnail(DataInput input) throws IOException
Represents a thumbnail.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`